Subject: Re: chinese input at cygwin1-20010625.dll/Win2000
From: Kazuhiro Fujieda <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: 10 Jul 2001 14:33:29 +0900

>>> On Sun, 1 Jul 2001 18:49:14 +0800 (CST)
>>> Pofeng Lee <[email-masked]> said:

> if I switch to tcsh, I can input chinese ..
> but if I use bash, I can evoke IM, but could not input Chinese

If you insert the following into your ~/.inputrc,
you can input Chinese characters in bash just like tcsh.

set convert-meta off
set meta-flag on
set output-meta on

> in tcsh/rxvt, I could input chinese, but not display properly
> ( I could not use rxvt -km big5 )

Rxvt can't handle double byte characters on Windows.
There is the patch for Japanese by an anonymous hacker.
http://www.geocities.co.jp/SiliconValley-Oakland/6833/rxvt/rxvt-w32j-patch-006.tar.gz
I'm not sure whether it is effective in Chinese.
I'm afraid the document included in the tar ball is written in Japanese.
____
  | AIST      Kazuhiro Fujieda <[email-masked]>
  | HOKURIKU  Center for Information Science
o_/ 1990      Japan Advanced Institute of Science and Technology

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/